
Redmine - Defect #13060

Fix macro call to {{sample_macro}} in [[Donors]] wiki page

2013-02-02 06:47 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

As the subject states. It should generate the donate link, I think.

Related issues:

Related to Redmine - Defect #28224: Misplaced macro on donors wiki page Closed

History

#1 - 2013-02-02 09:56 - Jean-Philippe Lang

The link is OK for me on the Donors page. What is the problem?

#2 - 2013-02-02 11:13 - Etienne Massip

I think it is only broken in history.

#3 - 2013-02-03 00:12 - Mischa The Evil

My apologies. Etienne is right. It is tied to the history only.

I observed this issue while browsing Donors at the currently latest page version #85 via the direct link to the page version (in this case 

http://www.redmine.org/projects/redmine/wiki/Donors/85) in the history view.

This can be split-up into three things I guess:

1. How do macro's behave while viewing current page version with version parameter?

2. How do macro's behave while viewing previous page versions with version parameter?

3. Do 1 and 2 only apply to the sample_macro here on rm.o or does this also apply to the core macro's?

This reminds me a bit to issue #9674.

#4 - 2013-02-10 17:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

The behaviour depends on the macro implementation entirely. The macro that display the Donate button is not supposed to work on the history.

#5 - 2018-02-20 20:42 - Mischa The Evil

- Related to Defect #28224: Misplaced macro on donors wiki page added
